Bug 172113 - Interface renaming fails with disabled wireless interface
Interface renaming fails with disabled wireless interface
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-31 11:58 EST by Orion Poplawski
Modified: 2014-03-16 22:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: FC5 (updates)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 14:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-10-31 11:58:00 EST
Description of problem:
This is on a Fujitsu Lifebook with builtin wireless.  The notebook has a switch
on the back that disables the wireless transmitter.  It also causes the MAC
address returned by ifconfig to be all zeros.  This plays havok with ifup-eth's
attempts to rename interfaces and it went into an ifinite loop:

+ ./ifup eth0 boot
cannot change name of eth1 to eth0: File exists
cannot change name of lo to dev21005: Device or resource busy
interface 'dev24435' not found
interface 'dev19715' not found
interface 'dev13212' not found
interface 'dev11943' not found
interface 'dev14290' not found
interface 'dev3220' not found
interface 'dev27440' not found
interface 'dev14026' not found
interface 'dev23350' not found
interface 'dev28522' not found
....



Version-Release number of selected component (if applicable):
initscripts-8.11.1-1


How reproducible:
everytime


Additional info:

Note that the interface renaming was also being triggered by rc.sysinit loading
the network drivers in interface nickname sort order.  We had the following
interfaces:

ifcfg-CoRAwlan (using eth1)
ifcfg-eth0

But the wireless driver was loaded before the wired driver for eth0.  I would
expect drivers to be loaded in the order listed in /etc/modprobe.conf, e.g.:

alias eth0 tg3
alias eth1 ipw2200
Comment 1 Bill Nottingham 2005-10-31 15:27:43 EST
What is your /etc/modprobe.conf, and /etc/sysconfig/network-scripts/ifcfg-* files?
Comment 2 Orion Poplawski 2005-10-31 15:49:39 EST
In the list below, ifcfg-eth0 is now named ifcfg-0eth0 to sort first.

modprobe.conf:
alias scsi_hostadapter ata_piix
alias eth0 tg3
alias eth1 ipw2200
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias ieee1394-controller ohci1394
alias snd-card-0 snd-hda-intel
options snd-card-0 index=0
options snd-hda-intel index=0
remove snd-hda-intel { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-hda-intel
install sound-service-1-0 /bin/true
install sound-slot-1 /bin/true
install char-major-188 /bin/true

ifcfg0eth0:
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:0B:5D:C4:E9:FB
ONBOOT=yes
TYPE=Ethernet
USERCTL=yes
PEERDNS=yes
IPV6INIT=no

ifcfg-CoRAwlan:
# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
ONBOOT=no
USERCTL=yes
PEERDNS=yes
GATEWAY=
TYPE=Wireless
DHCP_HOSTNAME=
IPADDR=
DEVICE=eth1
HWADDR=00:13:ce:72:6a:f0
BOOTPROTO=dhcp
DOMAIN=
NETMASK=
ESSID=307a0b
CHANNEL=1
MODE=Managed
RATE=11Mb/s
IPV6INIT=no

ifcfg-lo:
DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
# If you're having problems with gated making 127.0.0.0/8 a martian,
# you can change this to something else (255.255.255.255, for example)
BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback

ifcfg-Wireless:
# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
IPV6INIT=no
ONBOOT=no
USERCTL=yes
PEERDNS=yes
GATEWAY=
TYPE=Wireless
DEVICE=eth1
HWADDR=00:13:ce:72:6a:f0
BOOTPROTO=dhcp
NETMASK=
DHCP_HOSTNAME=
IPADDR=
DOMAIN=
ESSID=
CHANNEL=1
MODE=Managed
RATE=11Mb/s
Comment 3 Bill Nottingham 2005-10-31 15:54:22 EST
What does 'ip link ls' show when it's disabled?
Comment 4 Orion Poplawski 2005-10-31 21:59:20 EST
1: lo: <LOOPBACK,UP> mtu 16436 qdisc noqueue
     link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <BROADCAST,MULTICAST> mtu 1500 qdisc pfifo_fast qlen 1000
     link/ether 00:0b:5d:c4:e9:fb brd ff:ff:ff:ff:ff:ff
3: eth1: <BROADCAST,MULTICAST> mtu 1500 qdisc noop qlen 1000
     link/ether 00:00:00:00:00:00 brd ff:ff:ff:ff:ff:ff
4: sit0: <NOARP> mtu 1480 qdisc noop
     link/sit 0.0.0.0 brd 0.0.0.0

wireless is eth1 here.
Comment 5 Bill Nottingham 2006-08-07 14:28:35 EDT
This should be fixed with the udev helper in FC5 updates and FC6.

Note You need to log in before you can comment on or make changes to this bug.